header#site-header,
.page-header,
footer#site-footer,
body.error404 header.elementor,
body.error404 footer.elementor,
body.elementor-maintenance-mode header.elementor,
body.elementor-maintenance-mode footer.elementor,
body.elementor-maintenance-mode .ekit-template-content-header,
body.elementor-maintenance-mode .ekit-template-content-footer,
body.error404 .ekit-template-content-header,
body.error404 .ekit-template-content-footer,
nav.navigation.post-navigation,
aside#secondary{
	display: none;
}

.entry-content, .entry-summary {
    margin: 0;
}

button.back-to-top {
    display: none !important;
}

p {
	margin-block: 0;
}

/* header#masthead {
	display: block !important;
	position: fixed;
	z-index: 9999;
	width: 100%;
	top: 0px;
	transition: all 0.5s ease;
} */

.white {
	color: #E27394;
}

.elementor-widget-button a.elementor-button span.elementor-button-icon {
	position: absolute;
	right: 5px;
	top: 5px;
	transform: scale(1);
	transform-origin: center;
	transition: transform 2s cubic-bezier(0.22, 1, 0.36, 1);
	will-change: transform;
}

.elementor-widget-button a.elementor-button:hover span.elementor-button-icon {
	transform: scale(65);
}

.elementor-widget-button {
	display: flex;
}

.elementor-widget-button a.elementor-button span.elementor-button-icon svg {
	height: 10px;
	width: 10px;
}

.elementor-widget-button a.elementor-button span.elementor-button-text {
	z-index: 99999;
}

.elementor-widget-button a.elementor-button {
	position: relative;
	overflow: hidden;
}


.button-dot a.elementor-button {
	position: relative;
	overflow: hidden;
}

.header-menu ul#menu-header-menu li.menu-item ul.elementskit-dropdown li a:hover svg {
	fill: #fff;
}


.headero-logo .elementor-icon-wrapper {
	display: flex;
}


#abc-side {
	position: fixed;
	top: 0;
	right: -430px;
	/* right: 0; */
	width: 430px;
	height: 100vh;
	background: #fff;
	z-index: 9999;
	transition: right 0.5s ease;
	box-shadow: -5px 0 15px rgba(0, 0, 0, 0.2);
	overflow: auto;
}

/* when active */
#abc-side.active {
	right: 0;
}

#abc-side.active:before {
	content: '';
	position: fixed;
	top: 0;
	left: 0;
	width: calc(100% - 430px);
	height: 100%;
	background: rgba(0, 0, 0, 0.5);
	z-index: 10000;
	opacity: 1;
	/* visibility: hidden; */
	transition: opacity 0.5s ease;
}

.headero-logo svg g,
.tree-object img {
	transform-box: fill-box;
	transform-origin: center;
	animation: spin360 3s linear infinite;
}

@keyframes spin360 {
	from {
		transform: rotate(0deg);
	}

	to {
		transform: rotate(360deg);
	}
}


.header-menu ul#menu-header-menu li.menu-item ul.elementskit-dropdown li a:hover,
.header-menu ul#menu-header-menu li.menu-item ul.elementskit-dropdown li a.dropdown-item.active {
	padding-inline-start: 40px;
	transition: ease 0.8s all !important;
}

.header-menu ul#menu-header-menu li.menu-item ul.elementskit-dropdown li a:before,
.header-menu ul#menu-header-menu li.menu-item ul.elementskit-dropdown li a.dropdown-item.active:before {
	content: '';
	background-image: url(/wp-content/uploads/2026/02/favicon1.png);
	height: 20px;
	width: 20px;
	position: absolute;
	left: 10px;
	display: inline-block;
	background-position: center;
	background-size: cover;
	background-repeat: no-repeat;
	opacity: 0;
	transform-origin: center;
	animation: spin 2s linear infinite;
	transition: opacity 0.5s ease;
	transform: scale(0);
}

.header-menu ul#menu-header-menu li.menu-item ul.elementskit-dropdown li a:hover:before,
.header-menu ul#menu-header-menu li.menu-item ul.elementskit-dropdown li a.dropdown-item.active:before {
	opacity: 1;
	transform: scale(1);
	transition: opacity 0.5s ease;
}

@keyframes spin {
	0% {
		transform: rotate(0deg);
	}

	100% {
		transform: rotate(360deg);
	}
}

.tolus-icon svg {
	overflow: visible;
}

/* All petals start from center (closed) */
.tolus-icon svg path {
	transform-origin: center bottom;
	transform: scale(0) rotate(-20deg);
	opacity: 0;

	animation: lotusBloom 6s cubic-bezier(.65, -0.2, .25, 1.2) infinite;
}

/* Natural blooming delay (inner to outer effect) */
.tolus-icon svg path:nth-child(1) {
	animation-delay: 0s;
}
.tolus-icon svg {
    opacity: 0.2;
}

.tolus-icon svg path:nth-child(2) {
	animation-delay: 0.2s;
}

.tolus-icon svg path:nth-child(3) {
	animation-delay: 0.4s;
}

.tolus-icon svg path:nth-child(4) {
	animation-delay: 0.6s;
}

.tolus-icon svg path:nth-child(5) {
	animation-delay: 0.8s;
}

.tolus-icon svg path:nth-child(6) {
	animation-delay: 1s;
}

.tolus-icon svg path:nth-child(7) {
	animation-delay: 1.2s;
}

.tolus-icon svg path:nth-child(8) {
	animation-delay: 1.4s;
}

@keyframes lotusBloom {

	/* Closed */
	0% {
		transform: scale(0) rotate(-20deg);
		opacity: 0;
	}

	/* Blooming */
	40% {
		transform: scale(1.15) rotate(5deg);
		opacity: 1;
	}

	/* Fully Open */
	55% {
		transform: scale(1) rotate(0deg);
		opacity: 1;
	}

	/* Stay Open (morning shine moment ☀️) */
	75% {
		transform: scale(1) rotate(0deg);
		opacity: 1;
	}

	/* Closing */
	100% {
		transform: scale(0) rotate(-20deg);
		opacity: 0;
	}
}

.custom-list {
    list-style: none;
    padding-left: 0;
    margin-top: 20px;
}

.custom-list li {
	position: relative;
	padding-left: 35px;
	margin-bottom: 23px;
}

.custom-list li::before {
	content: "✔";
	position: absolute;
	left: 0;
	top: 50%;
	transform: translateY(-50%);
	width: 24px;
	height: 24px;
	background-color: #3E1F5C;
	color: white;
	border-radius: 50%;
	display: flex;
	align-items: center;
	justify-content: center;
	font-size: 14px;
	font-weight: normal;
	box-sizing: border-box;
}

.testimonial-loop .elementor-loop-container .testimonial:nth-child(odd) {
    padding-top: 30px;
}

.service-arrow .elementor-icon svg {
	height: auto !important;
}

.service-arrow .elementor-icon-wrapper {
	display: flex;
}

.service-loop-sec {
	position: relative;
	overflow: hidden;
	perspective: 800px;
}


.service-loop-sec {
	position: relative;
	overflow: hidden;
	perspective: 1000px;
	border-radius: 5px;
	transition: 0.4s ease;
	background: #ffffff;

	box-shadow:
		0 0 0 rgba(62, 31, 92, 0);
}

.service-loop-sec:hover {
	transform: translateY(-8px);
	box-shadow:
		0 0 20px rgba(142, 94, 219, 0.5),
		0 0 40px rgba(142, 94, 219, 0.3);
}

.service-loop-sec:before {
	content: '';
	position: absolute;
	bottom: 0;
	left: 0;
	height: 100%;
	width: 100%;
	background: #3E1F5C;
	transform: rotateX(90deg);
	transform-origin: bottom;
	transition: 0.6s cubic-bezier(.17, .67, .83, .67);
	z-index: -1;
	border-radius: 5px 5px 0 0;
}

.service-loop-sec:hover:before {
	transform: rotateX(0deg);
}

.service-loop-sec .service-arrow .elementor-icon {
	padding: 8px 13px !important;
}

.service-loop-sec:hover .elementor-widget-heading .elementor-heading-title,
.service-loop-sec:hover .elementor-widget-theme-post-excerpt {
	color: #fff !important;
	transition: 0.6s cubic-bezier(.17, .67, .83, .67);
}

.service-loop-sec:hover .service-arrow .elementor-icon {
	background-color: #fff !important;
	transition: 0.6s cubic-bezier(.17, .67, .83, .67);
}


.scf-star-rating {
	display: flex;
	padding: 10px;
	background-color: #e27394b5;
	border-radius: 5px;
}

span.dashicons {
	font-size: 16px;
}

span.dashicons.dashicons-star-filled {
	color: #3E1F5C;
}

.team-loo-sec:before {
	content: '';
	position: absolute;
	bottom: 0;
	left: 0;
	height: 70%;
	width: 100%;
	background-color: #ffffff;
	border-radius: 5px;
	top: auto;
    border: 1px solid #3E1F5C33;
}


.team-loo-sec .team-social .elementor-grid-item {
	opacity: 0;
	transform: translateY(-30px);
	transition: opacity 0.4s ease, transform 0.4s ease;
}

.team-loo-sec .team-social .elementor-grid-item:nth-child(1) {
	transition-delay: 0.1s;
}

.team-loo-sec .team-social .elementor-grid-item:nth-child(2) {
	transition-delay: 0.2s;
}

.team-loo-sec .team-social .elementor-grid-item:nth-child(3) {
	transition-delay: 0.3s;
}

.team-loo-sec .team-social .elementor-grid-item:nth-child(4) {
	transition-delay: 0.4s;
}

.team-loo-sec:hover .team-social .elementor-grid-item {
	opacity: 1;
	transform: translateY(0);
}

.team-loo-sec .elementor-widget-image-box figure.elementor-image-box-img {
	transition: transform 1.2s ease;
	transform-style: preserve-3d;
}

.team-loo-sec:hover .elementor-widget-image-box figure.elementor-image-box-img {
	transform: rotateY(180deg);
}

.full-ban-icon {
	left: 0 !important;
}

.full-ban-icon .elementor-icon svg {
	width: 100% !important;

}


.up-down-object {
	animation: upDown 2s ease-in-out infinite;
}

@keyframes upDown {
	0% {
		transform: translateY(0);
	}

	50% {
		transform: translateY(-50px);
		/* move up */
	}

	100% {
		transform: translateY(0);
	}
}


.FAQs-sec {
	position: relative;
}

.FAQs-sec::before {
	content: '';
	width: 650px;
	height: 650px;
	position: absolute;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	margin: auto;
	border-radius: 50%;
	background: conic-gradient(#ffffff 0deg 180deg, rgba(62, 31, 92, 0.03) 180deg 360deg);
	animation: rotateLoader 6s linear infinite;
	box-shadow: 0 0 15px rgb(0 0 0 / 16%);
}

.FAQs-sec::after {
	content: '';
	width: 420px;
	height: 420px;
	background: #ffffff;
	position: absolute;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	margin: auto;
	border-radius: 50%;
	box-shadow: 0 0 15px rgb(0 0 0 / 7%);
}

/* Rotation Animation */
@keyframes rotateLoader {
	from {
		transform: rotate(0deg);
	}

	to {
		transform: rotate(360deg);
	}
}

.spin-squre svg {
	overflow: visible;
}

.spin-squre svg rect {
	transform-box: fill-box;
	transform-origin: 50% 50%;
}

.spin-squre svg rect:first-child {
	animation: spinClock 12s linear infinite;
}

.spin-squre svg rect:last-child {
	animation: spinAnti 12s linear infinite;
}

@keyframes spinClock {
	from {
		transform: rotate(0deg);
	}

	to {
		transform: rotate(360deg);
	}
}

@keyframes spinAnti {
	from {
		transform: rotate(360deg);
	}

	to {
		transform: rotate(0deg);
	}
}

.spin-wave .elementor-icon {
	overflow: hidden;
	width: 100%;
	display: flex;
}

.spin-wave .elementor-icon svg {
	flex-shrink: 0;
	min-width: 100%;
	animation: waveForward 6s linear infinite;
}

@keyframes waveForward {
	from {
		transform: translateX(0);
	}

	to {
		transform: translateX(-100%);
	}
}


.iconbox-inner {
	position: relative;
	overflow: hidden;
}

.iconbox-inner:before {
	content: '';
	background-color: #fff;
	width: 100%;
	height: 100%;
	position: absolute;
	top: 0;
	left: 0;
	z-index: 99;

	/* initially no animation */
}

.iconbox-inner.animate:before {
	animation: slideLeft 5s forwards;
	/* plays once, forwards keeps final state */
}

@keyframes slideLeft {
	0% {
		left: 0;
	}

	100% {
		left: 100%;
	}
}


.blog-post .premium-blog-thumbnail-container {
	position: relative;
}

.blog-post .premium-blog-post-outer-container .premium-blog-content-wrapper {
	height: 100% !important;
}


.blog-post .premium-blog-post-outer-container .premium-blog-thumbnail-container::before,
.blog-post .premium-blog-post-outer-container .premium-blog-thumbnail-container::after {
	content: "";
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	opacity: 1;
	transition: transform 0.5s ease;
}

.blog-post .premium-blog-post-outer-container .premium-blog-thumbnail-container::before {
	background-color: #fff;
	transform: translateY(0%);
	z-index: 2;
}

.blog-post .premium-blog-post-outer-container:hover .premium-blog-thumbnail-container::before {
	transform: translateY(100%);
}

.blog-post .premium-blog-post-outer-container .premium-blog-thumbnail-container::after {
	background-color: rgba(62, 31, 92, 0.8);
	transform: translateY(100%);
	z-index: 3;
}

.blog-post .premium-blog-post-outer-container:hover .premium-blog-thumbnail-container::after {
	transform: translateY(0%);
}


.blog-post .premium-blog-post-outer-container:hover .premium-blog-entry-title a {
	color: #E27394 !important;
}

.blog-post .premium-blog-post-outer-container:hover i.fa,
.blog-post .premium-blog-post-outer-container:hover span,
.blog-post .premium-blog-post-outer-container:hover .premium-blog-post-content {
	color: #fff !important;
}

.blog-post .premium-blog-post-outer-container .premium-blog-excerpt-link-wrap a.elementor-button:before {
	content: '';
	display: inline-block;
	-webkit-mask-image: url(/wp-content/uploads/2026/02/arrow.svg);
	-webkit-mask-repeat: no-repeat;
	-webkit-mask-position: center;
	-webkit-mask-size: contain;
	mask-image: url(/wp-content/uploads/2026/02/arrow.svg);
	mask-repeat: no-repeat;
	mask-position: center;
	mask-size: contain;
	width: 20px;
	height: 20px;
	background-color: #fff;
}

.blog-post .premium-blog-post-outer-container:hover .premium-blog-excerpt-link-wrap a.elementor-button {
	background-color: #E27394 !important;
}

.waves .elementor-shape-bottom {
	animation: waveUpDown 4s ease-in-out infinite;
	will-change: transform;
}

@keyframes waveUpDown {

	0%,
	100% {
		transform: translateY(0px);
	}

	50% {
		transform: translateY(33px);
	}
}


.bradcrumb-link {
	animation: blinkBorder 4s infinite;
}

@keyframes blinkBorder {
	0% {
		border-color: #E27394;
	}

	25% {
		border-color: transparent;
	}

	50% {
		border-color: #E27394;
	}

	75% {
		border-color: transparent;
	}

	100% {
		border-color: #E27394;
	}
}


.rounded-icon svg path {
    stroke-dasharray: 500;
    stroke-dashoffset: 500;
    animation: pyramidDraw 6s linear infinite;
}

/* Bottom to Top Order */

.rounded-icon svg path:nth-child(1) {
    animation-delay: 0s;
}

.rounded-icon svg path:nth-child(2) {
    animation-delay: 0.8s;
}

.rounded-icon svg path:nth-child(3) {
    animation-delay: 1.6s;
}

/* swapped 4 & 5 */

.rounded-icon svg path:nth-child(5) {
    animation-delay: 2.4s;
}

.rounded-icon svg path:nth-child(4) {
    animation-delay: 3.2s;
}

@keyframes pyramidDraw {

    0% {
        stroke-dashoffset: 500;
        stroke: rgba(255,255,255,0.2);
    }

    40% {
        stroke-dashoffset: 0;
        stroke: #ffffff;
    }

    70% {
        stroke-dashoffset: 0;
        stroke: #ffffff;
    }

    100% {
        stroke-dashoffset: -500;
        stroke: rgba(255,255,255,0.2);
    }
}


.testi-page-block .elementor-loop-container .even-col {
    padding-top: 30px;
}

@media (min-width: 1025px) {

    .works-loop-sec:hover .works-loop-inner {
        padding-bottom: 40px;
        transition: all 0.5s ease;
    }

    .works-loop-sec .works-loop-inner {
        transition: all 0.5s ease;
    }

}

.works-loop-sec .works-loop-inner .elementor-widget-icon {
    transform: scale(0);
}
.works-loop-sec:hover .works-loop-inner .elementor-widget-icon {
    transform: scale(1);
}


.error-text .elementor-heading-title{
    position: relative;
}
.error-text .elementor-heading-title::before {
    content: attr(data-text);  
    position: absolute;
    left: 0;
    top: 0px;
    background: linear-gradient(182.94deg, #FFFFFF -9.26%, rgba(217,217,217,0) 63.5%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    width: 100%;
}


.notify-form .elementor-form-fields-wrapper {
    flex-wrap: nowrap;
    flex-direction: row;
}


.notify-form .elementor-form-fields-wrapper .elementor-field-group input, .notify-form .elementor-form-fields-wrapper .elementor-field-group button {
    height: 100%;
}


.shape-curve:before,
.shape-curve:after {
    content: "";
    position: absolute;
    width: 512px;
    height: 288px;
    border-radius: 50%;
}

.shape-curve:before {
    left: -80px;
    top: 0;
    background-color: #E27394;
    z-index: 9;
}

.shape-curve:after {
    left: -98px;
    top: -8px;
    background: #FFFFFF;
}
.post-content h1,
.post-content h2,
.post-content h3,
.post-content h4,
.post-content h5,
.post-content h6 {
    margin: 0;
  font-family: "Playfair Display", serif !important;
}

.post-content p {
    padding-block: 10px 10px;
}


.blog-images{
    display:grid;
    grid-template-columns: 1fr 1fr;
    gap:20px;
}

.blog-images img{
    border-radius:5px;
}

.customer-review-spa .elementor-icon-box-title strong {
    font-size: 20px;
    font-family: "Playfair Display", Sans-serif;
}

.chat-icon .elementor-icon {
    opacity: 0.1;
}


.teams-post h6 {
    color: #3E1F5C;
    font-weight: 700;
}

.blog-category a.premium-tcloud-term-link {
    pointer-events: none;
}

.blog-category a.premium-tcloud-term-link::before {
    content: "Category: ";
}

.categories-blog span.premium-tcloud-term span.premium-tcloud-number {
    position: absolute;
    right: 0;
}
.categories-blog span.premium-tcloud-term {
    pointer-events: none;
}

.comment-form form#commentform {
    display: flex;
    flex-direction: column;
    gap: 30px;
}

.comment-form form#commentform p textarea, .comment-form form#commentform p input {
    border-color: #3E1F5C33;
    border-radius: 5px;
    padding-block: 13px;
}

.services-category-list {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    gap: 18px;
    padding: 0;
    margin: 0;
    list-style: none;
}